Index: code/branches/gamestate/src/libraries/core/GUIManager.cc
===================================================================
--- code/branches/gamestate/src/libraries/core/GUIManager.cc	(revision 6657)
+++ code/branches/gamestate/src/libraries/core/GUIManager.cc	(revision 6658)
@@ -253,17 +253,25 @@
     }
 
-    const std::string& GUIManager::createInputState(const std::string& name, TriBool::Value showMouse, TriBool::Value useKeyboard, bool bBlockJoyStick)
+    const std::string& GUIManager::createInputState(const std::string& name, TriBool::Value showCursor, TriBool::Value useKeyboard, bool bBlockJoyStick)
     {
         InputState* state = InputManager::getInstance().createInputState(name);
 
-        if (GraphicsManager::getInstance().isFullScreen() && showMouse == TriBool::True ||
-           !GraphicsManager::getInstance().isFullScreen() && showMouse == TriBool::False)
+        /* Table that maps isFullScreen() and showCursor to mouseExclusive
+        isFullscreen / showCursor | True  | False | Dontcare
+        ----------------------------------------------------
+        true                      | True  | True  | Dontcare
+        ----------------------------------------------------
+        false                     | False | True  | Dontcare
+        */
+        if (showCursor == TriBool::Dontcare)
+            state->setMouseExclusive(TriBool::Dontcare);
+        else if (GraphicsManager::getInstance().isFullScreen() || showCursor == TriBool::False)
             state->setMouseExclusive(TriBool::True);
         else
-            state->setMouseExclusive(TriBool::Dontcare);
-
-        if (showMouse == TriBool::True)
+            state->setMouseExclusive(TriBool::False);
+
+        if (showCursor == TriBool::True)
             state->setMouseHandler(this);
-        else if (showMouse == TriBool::False)
+        else if (showCursor == TriBool::False)
             state->setMouseHandler(&InputHandler::EMPTY);
 
Index: code/branches/gamestate/src/libraries/core/GUIManager.h
===================================================================
--- code/branches/gamestate/src/libraries/core/GUIManager.h	(revision 6657)
+++ code/branches/gamestate/src/libraries/core/GUIManager.h	(revision 6658)
@@ -81,5 +81,5 @@
         void setBackground(const std::string& name);
 
-        const std::string& createInputState(const std::string& name, TriBool::Value showMouse = TriBool::True, TriBool::Value useKeyboard = TriBool::True, bool bBlockJoyStick = false); // tolua_export
+        const std::string& createInputState(const std::string& name, TriBool::Value showCursor = TriBool::True, TriBool::Value useKeyboard = TriBool::True, bool bBlockJoyStick = false); // tolua_export
 
         void setCamera(Ogre::Camera* camera);
Index: code/branches/gamestate/src/libraries/core/input/InputManager.h
===================================================================
--- code/branches/gamestate/src/libraries/core/input/InputManager.h	(revision 6657)
+++ code/branches/gamestate/src/libraries/core/input/InputManager.h	(revision 6658)
@@ -168,5 +168,8 @@
         //! Returns a pointer to the OIS InputManager. Only you if you know what you're doing!
         OIS::InputManager* getOISInputManager() { return this->oisInputManager_; }
+        //! Returns the position of the cursor as std::pair of ints
         std::pair<int, int> getMousePosition() const;
+        //! Tells whether the mouse is used exclusively to the game
+        bool isMouseExclusive() const { return this->exclusiveMouse_; } // tolua_export
 
         //-------------------------------
Index: code/branches/gamestate/src/orxonox/gamestates/GSMainMenu.cc
===================================================================
--- code/branches/gamestate/src/orxonox/gamestates/GSMainMenu.cc	(revision 6657)
+++ code/branches/gamestate/src/orxonox/gamestates/GSMainMenu.cc	(revision 6658)
@@ -85,5 +85,5 @@
     {
         // show main menu
-        GUIManager::getInstance().showGUI("MainMenu", true, GraphicsManager::getInstance().isFullScreen());
+        GUIManager::getInstance().showGUI("MainMenu", true, true);
         GUIManager::getInstance().setCamera(this->camera_);
         GUIManager::getInstance().setBackground("MainMenuBackground");
